function B = constructing_mercedes_benz_frame(N)
% function B = constructing_mercedes_benz_frame(N)
% constructs Mercedes Benz frames as a NxN+1 matrix
%
% References: 
% Equiangular Tight Frames by V. N. Malozemov, A. B. Pevnyi



B = [-1;1];
if N > 1
    for n=2:N
        B1(1:n-1,1:n) = (sqrt(n^2-1)/n)*B;
        B1(n,1:n) = -1/n;
        B1(1:n-1,n+1) = 0;
        B1(n,n+1) = 1;
        B = B1;
    end
end